# CbcSimpleIntegerPseudoCost Class Reference

Define a single integer class but with pseudo costs. More...

`#include <CbcSimpleIntegerPseudoCost.hpp>`

Inheritance diagram for CbcSimpleIntegerPseudoCost:
[legend]
Collaboration diagram for CbcSimpleIntegerPseudoCost:
[legend]

List of all members.

## Public Member Functions
| CbcSimpleIntegerPseudoCost ()
| CbcSimpleIntegerPseudoCost (CbcModel *model, int iColumn, double breakEven=0.5)
| CbcSimpleIntegerPseudoCost (CbcModel *model, int iColumn, double downPseudoCost, double upPseudoCost)
| CbcSimpleIntegerPseudoCost (CbcModel *model, int dummy, int iColumn, double downPseudoCost, double upPseudoCost)
| CbcSimpleIntegerPseudoCost (const CbcSimpleIntegerPseudoCost &)
virtual CbcObject * | clone () const
| Clone.
CbcSimpleIntegerPseudoCost & | operator= (const CbcSimpleIntegerPseudoCost &rhs)
virtual | ~CbcSimpleIntegerPseudoCost ()
virtual double | infeasibility (const OsiBranchingInformation *info, int &preferredWay) const
| Infeasibility - large is 0.5.
virtual CbcBranchingObject * | createCbcBranch (OsiSolverInterface *solver, const OsiBranchingInformation *info, int way)
| Creates a branching object.
double | downPseudoCost () const
| Down pseudo cost.
void | setDownPseudoCost (double value)
| Set down pseudo cost.
double | upPseudoCost () const
| Up pseudo cost.
void | setUpPseudoCost (double value)
| Set up pseudo cost.
double | upDownSeparator () const
| Up down separator.
void | setUpDownSeparator (double value)
| Set up down separator.
virtual double | upEstimate () const
| Return "up" estimate.
virtual double | downEstimate () const
| Return "down" estimate (default 1.0e-5).
int | method () const
| method - see below for details
void | setMethod (int value)
| Set method.
## Protected Attributes
double | downPseudoCost_
| data
double | upPseudoCost_
| Up pseudo cost.
double | upDownSeparator_
| Up/down separator If >0.0 then do first branch up if value-floor(value) >= this value.
int | method_
| Method - 0 - normal - return min (up,down) 1 - if before any solution return CoinMax(up,down) 2 - if before branched solution return CoinMax(up,down) 3 - always return CoinMax(up,down).

## Detailed Description

Define a single integer class but with pseudo costs.

Definition at line 14 of file CbcSimpleIntegerPseudoCost.hpp.

## Constructor & Destructor Documentation

CbcSimpleIntegerPseudoCost::CbcSimpleIntegerPseudoCost | ( |  | ) |

CbcSimpleIntegerPseudoCost::CbcSimpleIntegerPseudoCost | ( | CbcModel * | model,
|  | int | iColumn,
|  | double | breakEven = `0.5` |
| ) |  |  |

CbcSimpleIntegerPseudoCost::CbcSimpleIntegerPseudoCost | ( | CbcModel * | model,
|  | int | iColumn,
|  | double | downPseudoCost,
|  | double | upPseudoCost |
| ) |  |  |

CbcSimpleIntegerPseudoCost::CbcSimpleIntegerPseudoCost | ( | CbcModel * | model,
|  | int | dummy,
|  | int | iColumn,
|  | double | downPseudoCost,
|  | double | upPseudoCost |
| ) |  |  |

CbcSimpleIntegerPseudoCost::CbcSimpleIntegerPseudoCost | ( | const CbcSimpleIntegerPseudoCost & |  | ) |

virtual CbcSimpleIntegerPseudoCost::~CbcSimpleIntegerPseudoCost | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual CbcObject* CbcSimpleIntegerPseudoCost::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from CbcSimpleInteger.

CbcSimpleIntegerPseudoCost& CbcSimpleIntegerPseudoCost::operator= | ( | const CbcSimpleIntegerPseudoCost & | rhs | ) |

Reimplemented from CbcSimpleInteger.

virtual double CbcSimpleIntegerPseudoCost::infeasibility | ( | const OsiBranchingInformation * | info,
|  | int & | preferredWay |
| ) |  |  | const`[virtual]`

Infeasibility - large is 0.5.

Reimplemented from CbcSimpleInteger.

virtual CbcBranchingObject* CbcSimpleIntegerPseudoCost::createCbcBranch | ( | OsiSolverInterface * | solver,
|  | const OsiBranchingInformation * | info,
|  | int | way |
| ) |  |  | `[virtual]`

Creates a branching object.

Reimplemented from CbcSimpleInteger.

double CbcSimpleIntegerPseudoCost::downPseudoCost | ( |  | ) | const`[inline]`

Down pseudo cost.

Definition at line 51 of file CbcSimpleIntegerPseudoCost.hpp.

void CbcSimpleIntegerPseudoCost::setDownPseudoCost | ( | double | value | ) | `[inline]`

Set down pseudo cost.

Definition at line 55 of file CbcSimpleIntegerPseudoCost.hpp.

double CbcSimpleIntegerPseudoCost::upPseudoCost | ( |  | ) | const`[inline]`

Up pseudo cost.

Definition at line 60 of file CbcSimpleIntegerPseudoCost.hpp.

void CbcSimpleIntegerPseudoCost::setUpPseudoCost | ( | double | value | ) | `[inline]`

Set up pseudo cost.

Definition at line 64 of file CbcSimpleIntegerPseudoCost.hpp.

double CbcSimpleIntegerPseudoCost::upDownSeparator | ( |  | ) | const`[inline]`

Up down separator.

Definition at line 69 of file CbcSimpleIntegerPseudoCost.hpp.

void CbcSimpleIntegerPseudoCost::setUpDownSeparator | ( | double | value | ) | `[inline]`

Set up down separator.

Definition at line 73 of file CbcSimpleIntegerPseudoCost.hpp.

virtual double CbcSimpleIntegerPseudoCost::upEstimate | ( |  | ) | const`[virtual]`

Return "up" estimate.

Reimplemented from OsiObject.

virtual double CbcSimpleIntegerPseudoCost::downEstimate | ( |  | ) | const`[virtual]`

Return "down" estimate (default 1.0e-5).

Reimplemented from OsiObject.

int CbcSimpleIntegerPseudoCost::method | ( |  | ) | const`[inline]`

method - see below for details

Definition at line 83 of file CbcSimpleIntegerPseudoCost.hpp.

void CbcSimpleIntegerPseudoCost::setMethod | ( | int | value | ) | `[inline]`

Set method.

Definition at line 87 of file CbcSimpleIntegerPseudoCost.hpp.

## Member Data Documentation

double CbcSimpleIntegerPseudoCost::downPseudoCost_`[protected]`

data

Down pseudo cost

Definition at line 95 of file CbcSimpleIntegerPseudoCost.hpp.

double CbcSimpleIntegerPseudoCost::upPseudoCost_`[protected]`

Up pseudo cost.

Definition at line 97 of file CbcSimpleIntegerPseudoCost.hpp.

double CbcSimpleIntegerPseudoCost::upDownSeparator_`[protected]`

Up/down separator If >0.0 then do first branch up if value-floor(value) >= this value.

Definition at line 102 of file CbcSimpleIntegerPseudoCost.hpp.

int CbcSimpleIntegerPseudoCost::method_`[protected]`

Method - 0 - normal - return min (up,down) 1 - if before any solution return CoinMax(up,down) 2 - if before branched solution return CoinMax(up,down) 3 - always return CoinMax(up,down).

Definition at line 109 of file CbcSimpleIntegerPseudoCost.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.8/Cbc/src/CbcSimpleIntegerPseudoCost.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines